Subject: question or RFE on diff -r handling non-same files: show new/older when they "differ"

From: L A Walsh <[email-masked]>
Date: Mon, 19 Nov 2018 00:34:05 -0800

(Reposting on correct list):
I was doing a "diff -rq ./src ./dev
to find areas of 'dev' that hadn't been rolled into src when I
realized some patches had gone into src directly.  Rather than
just telling me files "differed", it really would be useful,
sometimes, to know which of two files under a recursive
tree-diff was newer, older or had the same last mtime.

Is there a switch for this in diff that would accomplish this,
or does this fall into an RFE?

Thanks!
-linda

I.e. some examples:
currently:
  >  diff -rwq ~/{,w}bin -x RCS -x orig >/tmp/diffs
  1) Files bin/dtlog and wbin/dtlog differ
  2) Only in bin: dtlog.save

For case '1' maybe something like
  --when-diff=cmp-mtimes,show-relative
showing output like:
  file1-mtime < file2=mtime

or
  --when-same=cmp-owners
showing something like:
  file1-owner:  root      file2-owner: daemon